0

when I open the app store in EOS Juno I am getting these errors:

Failed to Fetch Updates

This may have been caused by external, manually added software repositories or a corrupted sources file.
E: http://packages.mate-desktop.org/repo/ubuntu precise InRelease is not (yet) available (Could not resolve 'packages.mate-desktop.org')
E: http://packages.mate-desktop.org/repo/ubuntu precise InRelease is not (yet) available (Could not resolve 'packages.mate-desktop.org')
E: The repository 'http://ppa.launchpad.net/heathbar/super-wingpanel/ubuntu bionic Release' does not have a Release file.

I have not installed anything, via the AppStore or Apt/Apt-get for a while.

I figured I would run apt get update to fix it, but when i did I got these errors:

    Err:22 http://ppa.launchpad.net/heathbar/super-wingpanel/ubuntu bionic Release 
  404  Not Found [IP: 91.189.95.83 80]
    Err:23 http://ppa.launchpad.net/heathbar/super-wingpanel-daily/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Reading package lists... Done                      
E: The repository 'http://ppa.launchpad.net/heathbar/super-wingpanel/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/heathbar/super-wingpanel-daily/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

I saw this link, even though it deals with EOS Loki I thought it might work. I ran this with no issues, then I ran sudo apt update again but with the same results. I am currently trying to make EOS look like a mac, so I have an icon them, plymouth theme, and a (in progress) login theme. I tried to install super-wingpanel, but it did not work. I think that is what is throwing issues but I have no idea how to delete this file or if that is what I need to do.

UPDATE

I ran the fix that a-tokarev sugested. It fixed most of my issues but now when I open the AppStore it is throwing this error:

E: http://packages.mate-desktop.org/repo/ubuntu precise InRelease is not (yet) available (Could not resolve 'packages.mate-desktop.org')

I have no idea why this is throwing an error. Apt is also throwing errors when I try to update.

W: Failed to fetch http://packages.mate-desktop.org/repo/ubuntu/dists/precise/InRelease  Could not resolve 'packages.mate-desktop.org'
W: Some index files failed to download. They have been ignored, or old ones used instead.

I can install new packages via apt and I can upgrade, but I cannot update. I can install apps through the AppStore, but every other second it is throwing those errors listed at the top. I am thinking this is an easy fix, but if it is not I probably will back up all my files and use a fresh install. Any help is appreciated. Thanks!

0

PART 1

As super-wingpanel software appears to be quite old, no wonder its repository (PPA) doesn't have proper release file - i. e. the version, that's been specifically compiled for Ubuntu 18.04 (codename 'bionic', on which elementary OS 5 is based).

To fix this error (i. e. to stop super-wingpanel's further attempts to get non-existent updates, while keeping it installed on your system), remove super-wingpanel's PPA from your system list. To do it, execute:

sudo add-apt-repository --remove ppa:heathbar/super-wingpanel

and then:

sudo apt update

PART 2

The error/warning messages containing packages.mate-desktop.org mean that apt-get update can't fetch (download) the list of packages, required to update mate-desktopsoftware.

As this error is obviously an external server's IP issue and not elementary OS' fault, you have two options to fix it.

Option 1. If you don't use mate-desktop for anything, uninstall it.

Option 2. If you still use it, you can comment out its update URLs, so apt-get update won't use them during the update process. In this case, if mate-desktop devs will eventually fix their package server's IP issue, you can uncomment the URLs and update your mate-desktop software.

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.